SUSE SLED12/ SLES12セキュリティ更新プログラム: LibreOffice (SUSE-SU-2024:0075-1)

high Nessus プラグイン ID 187939

Language:

概要

リモートの SUSE ホストに 1 つ以上のセキュリティ更新がありません。

説明

リモートの SUSE Linux SLED12/ SLED_SAP12 / SLES12 / SLES_SAP12 ホストには、SUSE-SU-2024:0075-1 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

-The Document Foundation LibreOffice のスプレッドシートコンポーネントにある配列インデックスの不適切な検証の脆弱性により、攻撃者は、ロードされたときに配列インデックスのアンダーフローを引き起こす細工したスプレッドシートドキュメントを作成できます。影響を受けるバージョンの LibreOffice で、AGGREGATE などの特定の無効な形式のスプレッドシート数式が、予期される数よりも少ないパラメーターを数式インタープリターに渡して作成されて、配列インデックスのアンダーフローを引き起こし、任意のコードが実行されるリスクがあります。
この問題の影響を受ける対象:7.4.6より前の Document Foundation LibreOffice 7.4バージョン; 7.5.1より前の 7.5バージョン。(CVE-2023-0950)

-The Document Foundation LibreOffice のエディターコンポーネントの不適切なアクセスコントロールにより、攻撃者が細工したドキュメントを作成し外部リンクをプロンプトなしでロードする可能性があります。外部ファイルにリンクされた浮動フレームを使用する LibreOffice ドキュメントの影響を受けるバージョンでは、ユーザーにアクセス許可を求めることなく、これらのフレームのコンテンツをロードします。これは、LibreOffice の他のリンクされたコンテンツの処理と一致していませんでした。この問題の影響を受ける対象:7.4.7より前の Document Foundation LibreOffice 7.4バージョン; 7.5.3より前の 7.5バージョン。(CVE-2023-2255)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ依存していることに注意してください。

ソリューション

影響を受けるパッケージを更新してください。

参考資料

https://bugzilla.suse.com/1198666

https://bugzilla.suse.com/1200085

https://bugzilla.suse.com/1204040

https://bugzilla.suse.com/1209242

https://bugzilla.suse.com/1210687

https://bugzilla.suse.com/1211746

http://www.nessus.org/u?c1eb8062

https://www.suse.com/security/cve/CVE-2023-0950

https://www.suse.com/security/cve/CVE-2023-2255

プラグインの詳細

深刻度: High

ID: 187939

ファイル名: suse_SU-2024-0075-1.nasl

バージョン: 1.0

タイプ: local

エージェント: unix

公開日: 2024/1/11

更新日: 2024/1/11

サポートされているセンサー: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

基本値: 7.2

現状値: 5.3

ベクトル: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

CVSS スコアのソース: CVE-2023-0950

CVSS v3

リスクファクター: High

基本値: 7.8

現状値: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:atk-devel, p-cpe:/a:novell:suse_linux:atk-doc, p-cpe:/a:novell:suse_linux:atk-lang, p-cpe:/a:novell:suse_linux:dragonbox-devel, p-cpe:/a:novell:suse_linux:fixmath-devel, p-cpe:/a:novell:suse_linux:libatk-1_0-0, p-cpe:/a:novell:suse_linux:libatk-1_0-0-32bit, p-cpe:/a:novell:suse_linux:libmwaw-0_3-3, p-cpe:/a:novell:suse_linux:libmwaw-devel, p-cpe:/a:novell:suse_linux:libmwaw-devel-doc, p-cpe:/a:novell:suse_linux:libreoffice, p-cpe:/a:novell:suse_linux:libreoffice-base, p-cpe:/a:novell:suse_linux:libreoffice-base-drivers-postgresql, p-cpe:/a:novell:suse_linux:libreoffice-branding-upstream, p-cpe:/a:novell:suse_linux:libreoffice-calc, p-cpe:/a:novell:suse_linux:libreoffice-calc-extensions, p-cpe:/a:novell:suse_linux:libreoffice-draw, p-cpe:/a:novell:suse_linux:libreoffice-filters-optional, p-cpe:/a:novell:suse_linux:libreoffice-gnome, p-cpe:/a:novell:suse_linux:libreoffice-gtk3, p-cpe:/a:novell:suse_linux:libreoffice-icon-themes, p-cpe:/a:novell:suse_linux:libreoffice-impress, p-cpe:/a:novell:suse_linux:libreoffice-l10n-af, p-cpe:/a:novell:suse_linux:libreoffice-l10n-ar, p-cpe:/a:novell:suse_linux:libreoffice-l10n-bg, p-cpe:/a:novell:suse_linux:libreoffice-l10n-ca, p-cpe:/a:novell:suse_linux:libreoffice-l10n-cs, p-cpe:/a:novell:suse_linux:libreoffice-l10n-da, p-cpe:/a:novell:suse_linux:libreoffice-l10n-de, p-cpe:/a:novell:suse_linux:libreoffice-l10n-en, p-cpe:/a:novell:suse_linux:libreoffice-l10n-es, p-cpe:/a:novell:suse_linux:libreoffice-l10n-fi, p-cpe:/a:novell:suse_linux:libreoffice-l10n-fr, p-cpe:/a:novell:suse_linux:libreoffice-l10n-gu, p-cpe:/a:novell:suse_linux:libreoffice-l10n-hi, p-cpe:/a:novell:suse_linux:libreoffice-l10n-hr, p-cpe:/a:novell:suse_linux:libreoffice-l10n-hu, p-cpe:/a:novell:suse_linux:libreoffice-l10n-it, p-cpe:/a:novell:suse_linux:libreoffice-l10n-ja, p-cpe:/a:novell:suse_linux:libreoffice-l10n-ko, p-cpe:/a:novell:suse_linux:libreoffice-l10n-lt, p-cpe:/a:novell:suse_linux:libreoffice-l10n-nb, p-cpe:/a:novell:suse_linux:libreoffice-l10n-nl, p-cpe:/a:novell:suse_linux:libreoffice-l10n-nn, p-cpe:/a:novell:suse_linux:libreoffice-l10n-pl, p-cpe:/a:novell:suse_linux:libreoffice-l10n-pt_br, p-cpe:/a:novell:suse_linux:libreoffice-l10n-pt_pt, p-cpe:/a:novell:suse_linux:libreoffice-l10n-ro, p-cpe:/a:novell:suse_linux:libreoffice-l10n-ru, p-cpe:/a:novell:suse_linux:libreoffice-l10n-sk, p-cpe:/a:novell:suse_linux:libreoffice-l10n-sv, p-cpe:/a:novell:suse_linux:libreoffice-l10n-uk, p-cpe:/a:novell:suse_linux:libreoffice-l10n-xh, p-cpe:/a:novell:suse_linux:libreoffice-l10n-zh_cn, p-cpe:/a:novell:suse_linux:libreoffice-l10n-zh_tw, p-cpe:/a:novell:suse_linux:libreoffice-l10n-zu, p-cpe:/a:novell:suse_linux:libreoffice-librelogo, p-cpe:/a:novell:suse_linux:libreoffice-mailmerge, p-cpe:/a:novell:suse_linux:libreoffice-math, p-cpe:/a:novell:suse_linux:libreoffice-officebean, p-cpe:/a:novell:suse_linux:libreoffice-pyuno, p-cpe:/a:novell:suse_linux:libreoffice-sdk, p-cpe:/a:novell:suse_linux:libreoffice-writer, p-cpe:/a:novell:suse_linux:libreoffice-writer-extensions, p-cpe:/a:novell:suse_linux:libxmlsec1-1, p-cpe:/a:novell:suse_linux:libxmlsec1-gcrypt1, p-cpe:/a:novell:suse_linux:libxmlsec1-gnutls1, p-cpe:/a:novell:suse_linux:libxmlsec1-nss1, p-cpe:/a:novell:suse_linux:libxmlsec1-openssl1, p-cpe:/a:novell:suse_linux:typelib-1_0-atk-1_0, p-cpe:/a:novell:suse_linux:xmlsec1, p-cpe:/a:novell:suse_linux:xmlsec1-devel, p-cpe:/a:novell:suse_linux:xmlsec1-gcrypt-devel, p-cpe:/a:novell:suse_linux:xmlsec1-gnutls-devel, p-cpe:/a:novell:suse_linux:xmlsec1-nss-devel, p-cpe:/a:novell:suse_linux:xmlsec1-openssl-devel, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2024/1/10

脆弱性公開日: 2023/5/25

参照情報

CVE: CVE-2023-0950, CVE-2023-2255

IAVB: 2023-B-0037-S

SuSE: SUSE-SU-2024:0075-1